using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查明细退回
    /// </summary>
    [Description("检查明细退回")]
    public class T_BS_SAFE_CHECK_DETAIL_REJECT : MesEntityBase
    {
        /// <summary>
        /// 安全检查
        /// </summary>
        [Description("安全检查")]
        [DataFieldForeignKey("Nav_Check")]
        public Guid SAFE_CHECK_ID { get; set; }

        /// <summary>
        /// 安全检查
        /// </summary>
        [Description("导航：安全检查")]
        public virtual T_BS_SAFE_CHECK Nav_Check { get; set; }

        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("检查明细")]
        [DataFieldForeignKey("Nav_CheckDetail")]
        public Guid SAFE_CHECK_DETAIL_ID { get; set; }

        /// <summary>
        /// 检查明细
        /// </summary>
        [Description("导航：检查明细")]
        public T_BS_SAFE_CHECK_DETAIL Nav_CheckDetail { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [Description("退回原因")]
        [DataFieldLength(200)]
        public string REASON { get; set; }

        /// <summary>
        /// 退回人 CREATER_ID 匹配
        /// </summary>
        [Description("退回人")]
        [DataFieldIngore]
        public virtual T_FM_USER Nav_User { get; set; }



        /// <summary>
        /// 导航：检查附件表
        /// </summary>
        [Description("导航：检查附件表")]
        public virtual ICollection<T_BS_SAFE_CHECK_DETAIL_REJECT_FILE> Nav_Files { get; set; }


        /// <summary>
        /// 处理结果
        /// </summary>
        [Description("处理结果")]
        public RejectResult RESULT { get; set; }
    }
}
